// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_waterworks/ww_sky1
{
	qer_editorimage env/ut4_waterworks/stormydays_bk.tga
	
	skyparms env/ut4_waterworks/stormydays 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
//	{
//		map textures/ut4_waterworks/clouds3.tga
//		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcMod scale 2 3
//		tcMod scroll -0.08 0.025
//		rgbGen identityLighting
//	}
//	{
//		map textures/ut4_waterworks/clouds1.tga
//		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcMod scale 3 3
//		tcMod scroll 0.05 -0.0125
//		rgbGen identityLighting
//	}
}

// ---=== fog/clouds ===---

textures/ut4_waterworks/ww_fogcaulk
{
	qer_trans 0.45
	q3map_noclip
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap
}

textures/ut4_waterworks/ww_fog

{
	qer_editorimage textures/ut4_waterworks/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.5 0.5 0.5 ) 256
	
	{
		map textures/ut4_waterworks/clouds3.tga
		blendfunc gl_dst_color gl_one
		tcmod scale .03 .03
		tcmod scroll .02 -.015
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_waterworks/ww_cloud

{
	qer_editorimage textures/ut4_waterworks/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/ut4_waterworks/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.025 -0.0325
	}

}

// ---=== No Damage ===---

textures/ut4_waterworks/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8clangwarnmix:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8clangwarnmix_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8clangwarnmix_c:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8warning2:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8warning128:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8warning256:q3map
{
	surfaceparm nodamage
}

textures/ut4_waterworks/e8wrntrim:q3map
{
	surfaceparm nodamage
}

// ---=== non-solids ===---

textures/ut4_waterworks/ww_e8base1c_ns
{
	qer_editorimage textures/ut4_waterworks/e8_base1c.jpg
	qer_trans .9
	surfaceparm nonsolid

	{
		map textures/ut4_waterworks/e8_base1c.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

// ---=== Slick Textures ===--

textures/ut4_waterworks/ww_warn1_slick
{
	qer_editorimage textures/ut4_waterworks/e8crete03fadedwarn.jpg
	qer_trans .9
	surfaceparm slick

	{
		map textures/ut4_waterworks/e8crete03fadedwarn.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_waterworks/ww_e8crete_b_slick
{
	qer_editorimage textures/ut4_waterworks/e8crete_blue.jpg
	qer_trans .9
	surfaceparm slick

	{
		map textures/ut4_waterworks/e8crete_blue.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_waterworks/ww_e8crete_r_slick
{
	qer_editorimage textures/ut4_waterworks/e8crete_red.jpg
	qer_trans .9
	surfaceparm slick

	{
		map textures/ut4_waterworks/e8crete_red.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_waterworks/ww_e8cretefloor2_slick
{
	qer_editorimage textures/ut4_waterworks/e8cretefloor02.jpg
	qer_trans .9
	surfaceparm slick

	{
		map textures/ut4_waterworks/e8cretefloor02.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

// ---=== Glass ===---

textures/ut4_waterworks/ww_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_waterworks/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_waterworks/ww_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.6
//	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_waterworks/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_waterworks/ww_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_waterworks/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Ladderclip ===---

textures/ut4_waterworks/ww_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_waterworks/ww_glassblk04
{
	qer_editorimage textures/ut4_waterworks/pr_glassblock04.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_waterworks/pr_glassblock04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_waterworks/pr_glassblock04.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_waterworks/ww_glassblk04_b
{
	qer_editorimage textures/ut4_waterworks/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_waterworks/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_waterworks/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_waterworks/ww_glassblk04_r
{
	qer_editorimage textures/ut4_waterworks/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_waterworks/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_waterworks/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== Water ===---

textures/ut4_waterworks/ww_watercaulk
{
	qer_editorimage textures/kittywumpus/kw_watercaulk.jpg
	qer_trans 0.6
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

textures/ut4_waterworks/ww_water_ripple
{
	qer_editorimage textures/ut4_waterworks/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_waterworks/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_waterworks/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_waterworks/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut4_waterworks/ww_waterfall1
{
	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_waterworks/duck_pool5.tga
	
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	cull disable
	sort 6

	deformVertexes bulge 4 4 .5
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_waterworks/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_waterworks/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_waterworks/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_waterworks/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_waterworks/ww_waterflow
{
	qer_editorimage textures/ut4_waterworks/duck_pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7
	
	q3map_globaltexture
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable
	sort 6

	deformVertexes bulge 4 4 .5
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_waterworks/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_waterworks/duck_pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_waterworks/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_waterworks/ww_waterflow_nb
{
	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_waterworks/duck_pool5.tga

	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	cull disable
	sort 6

	{
		map textures/ut4_waterworks/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_waterworks/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_waterworks/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

// ---=== Evil Shaders ===---

textures/ut4_waterworks/e6horzlight
{
	qer_editorimage textures/ut4_waterworks/e6horzlight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
	
	{
		map textures/ut4_waterworks/e6horzlight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_waterworks/e6horzlight_blend.tga
		blendfunc add
	}
}

textures/ut4_waterworks/e6horzovallight
{
	qer_editorimage textures/ut4_waterworks/e6horzovallight_a.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6horzovallight_a.tga
	}
	{
		map textures/ut4_waterworks/e6horzovallight_blend.tga
		blendfunc add
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
}

textures/ut4_waterworks/e6platelight
{
	qer_editorimage textures/ut4_waterworks/e6platelight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6platelight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_waterworks/e6platelight_blend.tga
		blendfunc add
	}
}

textures/ut4_waterworks/e6platelight_burnt
{
	qer_editorimage textures/ut4_waterworks/e6platelight_burnt.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6platelight_burnt.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_waterworks/e6platelight_burnt_blend.tga
		blendfunc add
	}
}

textures/ut4_waterworks/e6tinylight
{
	qer_editorimage textures/ut4_waterworks/e6tinylight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_waterworks/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/ut4_waterworks/e6v_light
{
	qer_editorimage textures/ut4_waterworks/e6v_light.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6v_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_waterworks/e6v_light_blend.tga
		blendfunc add
	}
}

textures/ut4_waterworks/e6walllight
{
	qer_editorimage textures/ut4_waterworks/e6walllight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6walllight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_waterworks/e6walllight_blend.tga
		blendfunc add
	}
}

textures/ut4_waterworks/e6basicstrip_blue
{
	qer_editorimage textures/ut4_waterworks/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6basicstrip_blue.tga
	}
}

textures/ut4_waterworks/e6basicstrip_green
{
	qer_editorimage textures/ut4_waterworks/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6basicstrip_green.tga
	}
}

textures/ut4_waterworks/e6basicstrip_orange
{
	qer_editorimage textures/ut4_waterworks/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6basicstrip_orange.tga
	}
}

textures/ut4_waterworks/e6basicstrip_red
{
	qer_editorimage textures/ut4_waterworks/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6basicstrip_red.tga
	}
}

textures/ut4_waterworks/e6basicstrip_white
{
	qer_editorimage textures/ut4_waterworks/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6basicstrip_white.tga
	}
}

textures/ut4_waterworks/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_waterworks/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_waterworks/e6basicstrip_yellow.tga
	}
}

textures/ut4_waterworks/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_waterworks/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_waterworks/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_waterworks/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_waterworks/e8minitrimlight
{
	qer_editorimage textures/ut4_waterworks/e8minitrimlight.tga
	q3map_lightimage textures/ut4_waterworks/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_waterworks/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_waterworks/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_waterworks/e8trimlight2_blue
{
	qer_editorimage textures/ut4_waterworks/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_waterworks/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_waterworks/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_waterworks/e8trimlight2_red
{
	qer_editorimage textures/ut4_waterworks/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_waterworks/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_waterworks/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_waterworks/ecel_mplatelightmtl_2k
{
	qer_editorimage textures/ut4_waterworks/ecel_mplatelightmtl.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_waterworks/ecel_mplatelightmtl.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_waterworks/ecel_mplatelight.blend.tga
		blendfunc add
	}
}


// ---=== mrcleantex shaders ===---

textures/ut4_waterworks/ww_stainls_pnl_shiny
{
	qer_editorimage textures/ut4_waterworks/mrtx_stainls_pnl.tga

	{
		map textures/ut4_waterworks/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_waterworks/mrtx_stainls_pnl.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

// ---=== soc shaders ===---
